Webhooks
List webhook subscriptions
List all webhook subscriptions for the current user.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
page_size?integer
Page size
Response Body
application/json
application/json
curl -X GET "https://api.parsel.app/webhooks?page=1&page_size=10"{
"data": [
{
"created_at": {},
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_active": true,
"secret": "dG9wX3NlY3JldF9rZXlfZm9yX3BhcnNlbF93ZWJob29rc18yMDI0XzEyXzE5",
"topic": "LABEL_TRACKING_UPDATED",
"updated_at": {},
"url": "https://example.com/webhook"
}
],
"metadata": {
"current_page": 1,
"end_cursor": null,
"has_next_page": true,
"has_previous_page": false,
"page_size": 25,
"start_cursor": null,
"total_count": 87,
"total_pages": 4
}
}{
"errors": {
"message": "This action requires the WRITE_SHIPMENTS scope",
"required_scope": "WRITE_SHIPMENTS",
"status": "Forbidden"
}
}